Skip to main content
POST
/
v1
/
keys
/
rotate
curl https://qstash.upstash.io/v1/keys/rotate \
  -H "Authorization: Bearer <token>"
{
  "current": "sig_123",
  "next": "sig_456"
}

Documentation Index

Fetch the complete documentation index at: https://upstash-fix-issues-on-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

The next key becomes the current and we generate a new one and assign it to next key. Please update the signing keys in your applications as soon as possible.

Response

current
string
required
Current signing key is used to sign all messages before they are sent to the destination.
next
string
required
Next signing key will be used to sign messages after you have rotated your signing keys.
curl https://qstash.upstash.io/v1/keys/rotate \
  -H "Authorization: Bearer <token>"
{
  "current": "sig_123",
  "next": "sig_456"
}